unit Renorm_proj;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, XPMan, TeeProcs, TeEngine, Chart, DbChart,
  Series;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Image2: TImage;
    Image3: TImage;
    Image4: TImage;
    Button1: TButton;
    Label1: TLabel;
    Edit1: TEdit;
    XPManifest1: TXPManifest;
    Edit2: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    Bevel1: TBevel;
    DBChart1: TDBChart;
    Button2: TButton;
    Label8: TLabel;
    Series1: TLineSeries;
    Label2: TLabel;
    Button3: TButton;
    Edit3: TEdit;
    Label5: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    
  private
    { Private declarations }
  public
end;

var
  Form1: TForm1;
  p, s1,  df, frac: real; // pc,
  matr, matr1, matr2: array [1..80, 1..80] of integer;
  matr_pc: array [1..40, 1..40] of integer;
  {matr1: array [0..7, 0..7] of integer;
  matr2: array [0..3, 0..3] of integer;
  matr3: array [0..1, 0..1] of integer;}
  num_pc: array [0..2] of integer;
  num_ren: array [0..2] of integer;
  nn,ll: array [1..4] of cardinal;
  b: array [1..4] of real;

  jmax,imax,k, sum, sum2,i1,j1,scale,kmax:byte;
  d, j, X1, Y1, X2, Y2:integer;
implementation

{$R *.dfm}

   //----------Start --- Init----
 procedure TForm1.Button1Click(Sender: TObject); //Start
var i,j:byte;
begin
 //pc:=0.57;
 d:=2; scale:=1; imax:=80; Jmax:=80;
p:=StrToFloat(Edit1.Text)*0.5;
//pc:=StrToFloat(Edit2.Text);
randomize();
      for i:=1 to imax do
      for j:=1 to jmax do begin
    s1:=random; if matr[i-1,j]=1 then s1:=s1*0.75;
         if matr[i,j-1]=1 then s1:=s1*0.75;
     if s1<p then
     matr[i,j]:=1 else     matr[i,j]:=0;  end;
    // ize();
      for i:=1 to imax do
     for j:=1 to jmax do begin
           matr1[i,j]:=matr[i,j];
           matr2[i,j]:=matr[i,j];  end;

     with Image1.canvas do begin   // begin
       Lock;
      for i:=1 to imax-1 do
      for j:=1 to jmax-1 do begin

    if matr[i,j]=1 then
     Brush.Color:=clBlack else Brush.Color:=clWhite;
    x1:=(i-1)*d*scale;     x2:=i*d*scale;
    y1:=(j-1)*d*scale;     y2:=j*d*scale;
      fillRect(rect(x1,y1,x2,y2));

     end;  UnLock
   end;
   end;


      //--------------------------- Fractal
procedure TForm1.Button3Click(Sender: TObject);
var i,j,i1,j1,k1:byte;
begin
p:=StrToFloat(Edit1.Text);
kmax:=StrToint(Edit3.Text);
for i:=1 to 4 do begin nn[k]:=0; LL[k]:=0; end;
   k:=1; scale:=2;
   b[1]:=scale*d;     imax:=80; jmax:=80;

   for i:=1 to imax do
     for j:=1 to jmax do
           matr1[i,j]:=matr[i,j];
               nn[1]:=0;
   for i:=1 to imax do
   for j:=1 to jmax do
             if matr1[i,j]=1 then  inc(nn[1]);
              while k<=kmax do begin
   for i:=1 to imax do
   for j:=1 to jmax do
      if (i mod 2 =0) and (j mod 2 =0) then begin
      sum:= matr1[i,j]+matr1[i,j-1]
   +matr1[i-1,j]+matr1[i-1,j-1];

    i1:=round(i/2); j1:=round(j/2);
    if sum>0 then matr_pc[i1,j1]:=1
   // if sum<4 then inc(ll[k]);end
    else matr_pc[i1,j1]:=0;
                                            end;
 imax:=round(imax/2); jmax:=round(jmax/2);

    for i:=1 to imax do
    for j:=1 to jmax do  begin
    matr1[i,j]:=matr_pc[i,j];
    if matr1[i,j]=1 then inc(nn[k+1]);
                          end;

 if k=1 then begin scale:= scale*2; b[k+1]:=scale*d;end;
if k=1 then with Image2.canvas do begin   // begin
    Lock;
      for i:=1 to imax do
      for j:=1 to jmax do begin
       //round(exp(k*ln(2)));
    if matr1[i,j]=1 then
    Brush.Color:=clBlack else Brush.Color:=clWhite;
    x1:=(i-1)*d*scale;     x2:=i*d*scale;
    y1:=(j-1)*d*scale;     y2:=j*d*scale;
      fillRect(rect(x1,y1,x2,y2));
 end;
  unLock;  end;

   if k=2 then  begin  scale:= scale*2; b[k+1]:=scale*d; end;
  if k=2 then with Image3.canvas do begin
     Lock;
      for i:=1 to imax do
      for j:=1 to jmax do begin
          //round(exp(k*ln(2)));
    if matr1[i,j]=1 then
     Brush.Color:=clBlack else Brush.Color:=clWhite;
   x1:=(i-1)*d*scale;     x2:=i*d*scale;
    y1:=(j-1)*d*scale;     y2:=j*d*scale;
      fillRect(rect(x1,y1,x2,y2));
   end; Unlock; end;

    if k=3 then begin scale:= scale*2; b[k+1]:=scale*d;end;
  if k=3 then with Image4.canvas do begin
     Lock;
      for i:=1 to imax do
      for j:=1 to jmax do begin
          //round(exp(k*ln(2)));
    if matr1[i,j]=1 then
     Brush.Color:=clBlack else Brush.Color:=clWhite;
   x1:=(i-1)*d*scale;     x2:=i*d*scale;
    y1:=(j-1)*d*scale;     y2:=j*d*scale;
      fillRect(rect(x1,y1,x2,y2));
    end; Unlock; end;

    k:=k+1;
    end; //k

   Series1.Clear;
   For k1:=1 to kmax+1 do
   Series1.AddXY(ln(b[k1]),ln(nn[k1]),'',clred);
  frac:=abs((ln(nn[kmax+1])-ln(nn[1]))/(ln(b[kmax+1])-ln(b[1])));
   Label2.Caption:=floattostr(frac);

  For k1:=1 to kmax+1 do  nn[k1]:=0;
   end;



           //--------------Renorm
  procedure TForm1.Button2Click(Sender: TObject); //Renorm
  var k,i,j,i1,j1:byte;
begin
   k:=1;  scale:=2;    imax:=80; jmax:=80;
    for i:=1 to 80 do
     for j:=1 to 80 do
           matr2[i,j]:=matr[i,j];
 while k<=3 do begin
   for i:=1 to imax do
   for j:=1 to jmax do
      if (i mod 2 =0) and (j mod 2 =0) then begin
      sum:= matr2[i,j]+matr2[i,j-1]
   +matr2[i-1,j]+matr2[i-1,j-1];

       sum2:= matr2[i-2,j]+matr2[i-2,j-1]
   +matr2[i+1,j]+matr2[i+1,j-1]
   +matr2[i,j-2]+matr2[i-1,j-2]
   +matr2[i,j+1]+matr2[i-1,j+1]
   +matr2[i-2,j+1]+matr2[i-2,j-2]
   +matr2[i+1,j+1]+matr2[i+1,j-2];

    i1:=round(i/2); j1:=round(j/2);
      case sum of
   0 : matr_pc[i1,j1]:=0;
   1 : matr_pc[i1,j1]:=0;
   3 : matr_pc[i1,j1]:=1;
   4 : matr_pc[i1,j1]:=1; end;
  // end;
   if sum=2 then begin
   if sum2>6 then matr_pc[i1,j1]:=1;
   if sum2<6 then matr_pc[i1,j1]:=0;
   if sum2=6 then matr_pc[i1,j1]:=random(2); end;
  end;
 imax:=round(imax/2); jmax:=round(jmax/2);

    for i:=1 to imax do
    for j:=1 to jmax do matr2[i,j]:=matr_pc[i,j];

 if k=1 then  scale:= scale*2;
if k=1 then with Image2.canvas do begin   // begin
    Lock;
      for i:=1 to imax do
      for j:=1 to jmax do begin
       //round(exp(k*ln(2)));
    if matr2[i,j]=1 then
    Brush.Color:=clBlack else Brush.Color:=clWhite;
    x1:=(i-1)*d*scale;     x2:=i*d*scale;
    y1:=(j-1)*d*scale;     y2:=j*d*scale;
      fillRect(rect(x1,y1,x2,y2));
 end;
  unLock;  end;

    if k=2 then      scale:= scale*2;
  if k=2 then with Image3.canvas do begin
     Lock;
      for i:=1 to imax do
      for j:=1 to jmax do begin
          //round(exp(k*ln(2)));
    if matr2[i,j]=1 then
     Brush.Color:=clBlack else Brush.Color:=clWhite;
   x1:=(i-1)*d*scale;     x2:=i*d*scale;
    y1:=(j-1)*d*scale;     y2:=j*d*scale;
      fillRect(rect(x1,y1,x2,y2));
 end;
  unLock;  end;

    if k=3 then      scale:= scale*2;
   if k=3 then with Image4.canvas do begin   // begin
      Lock;
      for i:=1 to imax do
      for j:=1 to jmax do begin
         //round(exp(k*ln(2)));
     if matr2[i,j]=1 then
     Brush.Color:=clBlack else Brush.Color:=clWhite;
  x1:=(i-1)*d*scale;     x2:=i*d*scale;
    y1:=(j-1)*d*scale;     y2:=j*d*scale;
      fillRect(rect(x1,y1,x2,y2));
 end;
  unLock;  end;

  k:=k+1;//end;
   end;

  end;


{s2:=sqr(num_ren[0]) + sqr(num_ren[1]) + sqr(num_ren[2]);

if (matr3[0,0]*matr3[0,1]=1) OR (matr3[1,0]*matr3[1,1]=1)
then
Label2.Caption:='P= 1'
else
Label2.Caption:='P= 0';}

//df:=ln(s1/s2);
//Label2.Caption:='df= ' + FloatToStr(df);

end.
