 Program Lazer;
  uses Crt, Graph;  Const im=16;
  var    Gd, Gm, k,i,m,j:integer;
  dt,dTr,c,Tpl,at,xt,g,L,time,dR,v:real;
   T,B,R,RR,tt:array[1..100] of real;  ss:string;
   Begin
	time:=0; 	R[1]:=0.001;        {radius of liquid}
	R[im]:=0.003;    {radius of surrounded solid}
        g:=2600;{kg/m**3} 	{closeness of matter}
	L:=430000*2600;  {heat of fusion, J/m**3}
	xt:=207;	{Bt/m/K; Parameters of Al}
	c:=1179;        {heat capacity J/kg/grad}
	at:=xt/(g*c);           {cm^^2/s}
	dR:=(R[im]-R[1])/(im-1);
	dt:=0.005*dR*dR/at;
	Tpl:=660;        {temperature of fusion}
	T[2]:=659.8; T[3]:=500; T[4]:=300; 	T[1]:=Tpl;
        For m:=5 to  im do  T[m]:=20;
   For i:=2  to  im-1 do
    R[i]:=R[i-1]+dR;
    B[1]:=Tpl;
  v:=xt*(T[2]-T[1])/(dR*L);
    GD:=VGA;   GM:=VGAHi;
 InitGraph(GD,GM,'');
  for k:=1  to  10  do   begin
  For j:=1 to  500 do  begin
  For i:=2  to   im-1  do   begin
   dR:=(R[im]-R[1])/(im-1);
  R[i]:= R[im]-dR*(im-i);
  dTr:=(T[i+1]-T[i-1])/(2*dR);		{first derivation}
  B[i]:=T[i]+dt*at*(((T[i+1]+T[i-1]-2*T[i])/(dR*dR))+dTr*2/R[i]);
  B[i]:=B[i]+v*dt*(im-i)/(im-1)*dTr;
  end ;
     For i:=2  to   im-1 do T[i]:=B[i];
  v:=xt*(T[2]-T[1])/(dR*L);
  R[1]:=R[1]+v*dt; time:=time+dt;
       delay(1000); end ;

 SetFillStyle(SolidFill,LightBlue);
 bar(0,200,420,420); {}
 SetFillStyle(SolidFill,Red);
 FillEllipse(200,200,round (R[1]*100000),round (R[1]*100000)); {drawing of fill circle}
 SetColor(black);
 For i:=1  to   8 do
 if (i=1) or (i mod 2 =0) then begin
   Circle(200,200,round (R[i]*100000));
   str(round(T[i]),ss);
    outtextxy(192,round (R[i]*100000)+204,ss);
 end;
  SetFillStyle(SolidFill,Black);
  bar(0,0,450,200); {}
  SetFillStyle(SolidFill,black);
  bar(0,200,420,100);
   RR[k]:=R[1]; tt[k]:=time;  readkey;
  if  R[1]<0.00001 then  Break ;
  end;
  CloseGraph;   ClrScr;
  for k:=1  to  10  do
  writeln('R[1]=',RR[k],' time =',tt[k]);
  for i:=1  to  10  do
  writeln('i=',i,'  T=',T[i]); Readkey;
End.
