object Form1: TForm1
  Left = 74
  Top = 151
  Width = 901
  Height = 543
  Caption = 'DynamicMolecularSimulator'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  OnCreate = FormCreate
  PixelsPerInch = 96
  TextHeight = 13
  object AdditionalPages: TPageControl
    Left = 392
    Top = 16
    Width = 473
    Height = 425
    ActivePage = ParametersTab
    TabIndex = 0
    TabOrder = 0
    object ParametersTab: TTabSheet
      Caption = 'Parameters'
      object PeriodicBorderSwitch: TSpeedButton
        Left = 328
        Top = 336
        Width = 81
        Height = 33
        GroupIndex = 1
        Caption = 'Periodic'
        OnClick = PeriodicBorderSwitchClick
      end
      object FixedBorderSwitch: TSpeedButton
        Left = 200
        Top = 336
        Width = 89
        Height = 33
        GroupIndex = 1
        Down = True
        Caption = 'Fixed'
        OnClick = FixedBorderSwitchClick
      end
      object BoundaryLabel: TPanel
        Left = 8
        Top = 328
        Width = 185
        Height = 41
        BevelOuter = bvNone
        Caption = 'Boundary'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 0
      end
      object ParticlesLabel: TPanel
        Left = 8
        Top = 16
        Width = 185
        Height = 33
        BevelOuter = bvNone
        Caption = 'NumberOfParticles'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 1
      end
      object ParticlesView: TPanel
        Left = 168
        Top = 16
        Width = 185
        Height = 25
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 2
      end
      object Potential_ELabel: TPanel
        Left = 16
        Top = 56
        Width = 145
        Height = 33
        BevelOuter = bvNone
        Caption = 'Potential depth, K'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 3
      end
      object Potential_EEdit: TPanel
        Left = 168
        Top = 56
        Width = 185
        Height = 25
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 4
      end
      object Potential_DLabel: TPanel
        Left = 16
        Top = 88
        Width = 145
        Height = 33
        BevelOuter = bvNone
        Caption = 'Potential minimum'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 5
      end
      object Potential_DEdit: TPanel
        Left = 168
        Top = 96
        Width = 185
        Height = 25
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 6
      end
      object CellSizeLabel: TPanel
        Left = 16
        Top = 128
        Width = 129
        Height = 41
        BevelOuter = bvNone
        Caption = 'CellSizeLabel'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 7
      end
      object CellSizeXEdit: TPanel
        Left = 144
        Top = 136
        Width = 105
        Height = 25
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 8
      end
      object CellSize_2ndLabel: TPanel
        Left = 248
        Top = 136
        Width = 57
        Height = 33
        BevelOuter = bvNone
        Caption = 'by'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 9
      end
      object CellSizeYEdit: TPanel
        Left = 304
        Top = 136
        Width = 113
        Height = 25
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 10
      end
      object TimeStepLabel: TPanel
        Left = 16
        Top = 176
        Width = 121
        Height = 33
        BevelOuter = bvNone
        Caption = 'Simultion time step'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 11
      end
      object TimeStepEdit: TEdit
        Left = 144
        Top = 176
        Width = 121
        Height = 21
        TabOrder = 12
      end
      object ApplyTimeStepButton: TButton
        Left = 272
        Top = 176
        Width = 113
        Height = 33
        Caption = 'Apply'
        TabOrder = 13
        OnClick = ApplyTimeStepButtonClick
      end
      object SPFLabel: TPanel
        Left = 8
        Top = 224
        Width = 161
        Height = 33
        BevelOuter = bvNone
        Caption = 'Steps per frame'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 14
      end
      object SPFEdit: TEdit
        Left = 160
        Top = 224
        Width = 121
        Height = 21
        TabOrder = 15
      end
      object SPFApplyButton: TButton
        Left = 296
        Top = 224
        Width = 89
        Height = 33
        Caption = 'Apply'
        TabOrder = 16
        OnClick = SPFApplyButtonClick
      end
      object InitialKLabel: TPanel
        Left = 0
        Top = 272
        Width = 153
        Height = 41
        BevelOuter = bvNone
        Caption = 'Initial kinetic/atom, K'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 17
      end
      object InitialKEdit: TEdit
        Left = 160
        Top = 280
        Width = 169
        Height = 21
        TabOrder = 18
      end
      object InitialKApplyButton: TButton
        Left = 336
        Top = 280
        Width = 89
        Height = 33
        Caption = 'Apply'
        TabOrder = 19
        OnClick = InitialKApplyButtonClick
      end
    end
    object StatisticsTab: TTabSheet
      Caption = 'Statistics'
      ImageIndex = 1
      object TotalTimeLabel: TPanel
        Left = 8
        Top = 16
        Width = 185
        Height = 33
        BevelOuter = bvNone
        Caption = 'Total time, sec'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 0
      end
      object TotalTimeView: TPanel
        Left = 208
        Top = 16
        Width = 225
        Height = 33
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 1
      end
      object TotalEnergyLabel: TPanel
        Left = 8
        Top = 56
        Width = 185
        Height = 33
        BevelOuter = bvNone
        Caption = 'Total energy, K'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 2
      end
      object TotalEnergyView: TPanel
        Left = 208
        Top = 56
        Width = 225
        Height = 33
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 3
      end
      object ErrorLabel: TPanel
        Left = 8
        Top = 96
        Width = 137
        Height = 33
        BevelOuter = bvNone
        Caption = 'Energy error'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 4
      end
      object ErrorView: TPanel
        Left = 152
        Top = 96
        Width = 281
        Height = 33
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 5
      end
      object KEnergyLabel: TPanel
        Left = 8
        Top = 144
        Width = 137
        Height = 33
        BevelOuter = bvNone
        Caption = 'Kinetic enegry, K'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 6
      end
      object MinKEnergyView: TPanel
        Left = 152
        Top = 144
        Width = 97
        Height = 33
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 7
      end
      object AveKEnegryView: TPanel
        Left = 256
        Top = 144
        Width = 89
        Height = 33
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 8
      end
      object MaxKEnergyView: TPanel
        Left = 352
        Top = 144
        Width = 97
        Height = 33
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 9
      end
      object MinUEnergyLabel: TPanel
        Left = 8
        Top = 192
        Width = 137
        Height = 33
        BevelOuter = bvNone
        Caption = 'Potential energy, K'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 10
      end
      object MinUEnergyView: TPanel
        Left = 152
        Top = 192
        Width = 97
        Height = 33
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 11
      end
      object AveUEnergyView: TPanel
        Left = 256
        Top = 192
        Width = 89
        Height = 33
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 12
      end
      object MaxUEnergyView: TPanel
        Left = 352
        Top = 192
        Width = 97
        Height = 33
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 13
      end
      object DR2Label: TPanel
        Left = 16
        Top = 232
        Width = 145
        Height = 41
        BevelOuter = bvNone
        Caption = 'Mean (R-R0)^2'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 14
      end
      object DR2View: TPanel
        Left = 176
        Top = 232
        Width = 273
        Height = 41
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 15
      end
      object DLabel: TPanel
        Left = 16
        Top = 288
        Width = 161
        Height = 41
        BevelOuter = bvNone
        Caption = 'Diffusion index'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 16
      end
      object DView: TPanel
        Left = 192
        Top = 288
        Width = 257
        Height = 41
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 17
      end
      object PressureLabel: TPanel
        Left = 16
        Top = 336
        Width = 161
        Height = 41
        BevelOuter = bvNone
        Caption = 'Average pressure'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -11
        Font.Name = 'MS Sans Serif'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 18
      end
      object XPressureView: TPanel
        Left = 192
        Top = 336
        Width = 121
        Height = 41
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 19
      end
      object YPressureView: TPanel
        Left = 328
        Top = 336
        Width = 121
        Height = 41
        BevelOuter = bvLowered
        Color = clWhite
        TabOrder = 20
      end
    end
    object GRTab: TTabSheet
      Caption = 'Radial distribution'
      ImageIndex = 2
      object GRPanel: TPanel
        Left = 16
        Top = 8
        Width = 409
        Height = 369
        Color = clWhite
        TabOrder = 0
        object GRView: TImage
          Left = 8
          Top = 16
          Width = 393
          Height = 345
        end
      end
    end
    object KTab: TTabSheet
      Caption = 'KineticEnergy'
      ImageIndex = 3
      object KEnergyPanel: TPanel
        Left = 16
        Top = 8
        Width = 417
        Height = 377
        Color = clWhite
        TabOrder = 0
        object KEnergyView: TImage
          Left = 8
          Top = 8
          Width = 393
          Height = 361
        end
      end
    end
    object UTab: TTabSheet
      Caption = 'PotentialEnergy'
      ImageIndex = 4
      object UEnergyPanel: TPanel
        Left = 16
        Top = 8
        Width = 409
        Height = 377
        Color = clWhite
        TabOrder = 0
        object UEnergyView: TImage
          Left = 16
          Top = 8
          Width = 377
          Height = 353
        end
      end
    end
    object ETab: TTabSheet
      Caption = 'FullEnergy'
      ImageIndex = 5
      object EnergyPanel: TPanel
        Left = 8
        Top = 8
        Width = 425
        Height = 377
        Color = clWhite
        TabOrder = 0
        object EnergyView: TImage
          Left = 16
          Top = 16
          Width = 401
          Height = 345
        end
      end
    end
  end
  object ImagePanel: TPanel
    Left = 16
    Top = 16
    Width = 337
    Height = 473
    Color = clWhite
    TabOrder = 1
    object AtomView: TImage
      Left = 8
      Top = 8
      Width = 321
      Height = 449
    end
  end
  object StartButton: TButton
    Left = 400
    Top = 456
    Width = 97
    Height = 33
    Caption = 'Go'
    TabOrder = 2
    OnClick = StartButtonClick
  end
  object OneFrameButton: TButton
    Left = 512
    Top = 456
    Width = 97
    Height = 33
    Caption = 'OneFrame'
    TabOrder = 3
    OnClick = OneFrameButtonClick
  end
  object ResetButton: TButton
    Left = 632
    Top = 456
    Width = 89
    Height = 33
    Caption = 'Reset'
    TabOrder = 4
    OnClick = ResetButtonClick
  end
  object QuitButton: TButton
    Left = 752
    Top = 456
    Width = 89
    Height = 33
    Caption = 'Quit'
    TabOrder = 5
    OnClick = QuitButtonClick
  end
end
