//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TPageControl *AdditionalPages;
        TTabSheet *ParametersTab;
        TTabSheet *StatisticsTab;
        TTabSheet *GRTab;
        TPanel *ImagePanel;
        TImage *AtomView;
        TPanel *GRPanel;
        TImage *GRView;
        TTabSheet *KTab;
        TPanel *KEnergyPanel;
        TImage *KEnergyView;
        TTabSheet *UTab;
        TPanel *UEnergyPanel;
        TImage *UEnergyView;
        TTabSheet *ETab;
        TPanel *EnergyPanel;
        TImage *EnergyView;
        TSpeedButton *PeriodicBorderSwitch;
        TSpeedButton *FixedBorderSwitch;
        TPanel *BoundaryLabel;
        TPanel *ParticlesLabel;
        TPanel *ParticlesView;
        TPanel *Potential_ELabel;
        TPanel *Potential_EEdit;
        TPanel *Potential_DLabel;
        TPanel *Potential_DEdit;
        TPanel *CellSizeLabel;
        TPanel *CellSizeXEdit;
        TPanel *CellSize_2ndLabel;
        TPanel *CellSizeYEdit;
        TPanel *TimeStepLabel;
        TEdit *TimeStepEdit;
        TButton *ApplyTimeStepButton;
        TPanel *SPFLabel;
        TEdit *SPFEdit;
        TButton *SPFApplyButton;
        TPanel *InitialKLabel;
        TEdit *InitialKEdit;
        TButton *InitialKApplyButton;
        TPanel *TotalTimeLabel;
        TPanel *TotalTimeView;
        TPanel *TotalEnergyLabel;
        TPanel *TotalEnergyView;
        TPanel *ErrorLabel;
        TPanel *ErrorView;
        TPanel *KEnergyLabel;
        TPanel *MinKEnergyView;
        TPanel *AveKEnegryView;
        TPanel *MaxKEnergyView;
        TPanel *MinUEnergyLabel;
        TPanel *MinUEnergyView;
        TPanel *AveUEnergyView;
        TPanel *MaxUEnergyView;
        TPanel *DR2Label;
        TPanel *DR2View;
        TPanel *DLabel;
        TPanel *DView;
        TPanel *PressureLabel;
        TPanel *XPressureView;
        TPanel *YPressureView;
        TButton *StartButton;
        TButton *OneFrameButton;
        TButton *ResetButton;
        TButton *QuitButton;
        void __fastcall QuitButtonClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall StartButtonClick(TObject *Sender);
        void __fastcall OneFrameButtonClick(TObject *Sender);
        void __fastcall ResetButtonClick(TObject *Sender);
        void __fastcall PeriodicBorderSwitchClick(TObject *Sender);
        void __fastcall FixedBorderSwitchClick(TObject *Sender);
        void __fastcall SPFApplyButtonClick(TObject *Sender);
        void __fastcall ApplyTimeStepButtonClick(TObject *Sender);
        void __fastcall InitialKApplyButtonClick(TObject *Sender);
private:
   	// User declarations
public:
    bool Running, StopFlag;
    double time_step, initial_K;
    int SPF;
    void StopRunning();
    void StartRunning();
    void RedrawImage();
    void DrawAtoms(TCanvas *Canvas);
    void UpdateStatistics();	// User declarations
        __fastcall TForm1(TComponent* Owner);
};


//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
