Program Ice_Growing;
uses graph,crt;
const L=334400*900;   {heat of fusion, J/kg*900 kg/m^3}
      al=1.165e-6; {k/(pcv) m*m/s 0.0000076;}
      k=2.21;     {J/msK   0.14304;}
      xrange =3600*24;{2e-2; max(x)}
      xndots = 24;   {Number points (metok) on axis x}
      {yrange = 0.5; max(y)}
      yndots = 5;   {Number points (metok) on axis y}
      im=40;
 type mas1=array[1..100] of real;
    var
      T,B,x,time1,xfr,h1 :mas1;
      i,j,k1,i1,cou,coumax,maxx,maxy       :integer;
      dx,dt,v,xf,time     :real;
      f_time,f_x:text;
      gd,gm,ge:integer;
 BEGIN    ClrScr;
    T[1]:=-10; T[im]:=0;  j:=1;  k1:=1;   cou:=1;
      {initial conditions}
    for i:=2 to  im-1 do  T[i]:=-0.5;{initial temperature}
    xf:=0.001; 			{initial thick of ice}
    dx:=(xf/(im-1));
    dt:=0.5*(dx*dx)/al;
    time:=0;  B[1]:=-10;
  while time<3600*24 do
  begin          {k vozduha = 2.41e-4 J/mcK   1cm}
    for   i:=2 to  im-1 do {solving of parabolik equation}
   begin
    B[i]:=T[i]+al*dt*(T[i+1]-2*T[i]+T[i-1])/(dx*dx)
           +v*dt*(T[i+1]-T[i-1])/(2*dx)*i/im;
    x[i]:=dx*i;
   end ;
    v:=(k/L)*(T[im]-T[im-1])/dx;	{new rate}
    xf:=(xf+v*dt);		{new coordinate of front}
    time:=time+dt; dx:=xf/(im-1); {new distance between nodes }
        dt:= (dx*dx)/(2*al);
       for i:=2 to  im-1 do   T[i]:=B[i];   {rename}
    if  j=k1 then  begin      {writing data for xfr(time)}
    time1[cou]:=time;   xfr[cou]:=xf;
   writeln('time= ',time1[cou],'   xfr= ',xfr[cou]);
     coumax:=cou; cou:=cou+1; k1:=k1+10000;
                 end;   j:=j+1;
  end;   readkey;
     for i:=2 to  im do      {writing data for T(x)}
    writeln('i=',i,'   x= ',x[i],'   T= ',T[i]); readkey;
    gd:= 0;     gm:= 0;
    InitGraph(gd,gm,'');
  maxx := getmaxx-100; maxy := getmaxy-40;
                            {Drawing of coordinate axes}
      for i:=1 to 11 do
       line(30+i*50,getmaxy-20,30+i*50,getmaxy-25);

      MoveTo(trunc((time1[1]/xrange)*(maxx-30))+30,
       maxy+20-trunc((xfr[1]/xf)*(maxy)));
      for cou:=2 to  coumax do
      begin   	{Drawing of graph}
      lineto(trunc((time1[cou]/xrange)*(maxx-30))+30,
       maxy+20-trunc((xfr[cou]/xf)*(maxy)));
        line(30,maxy+20-trunc(xfr[cou]/xf)*maxy,
        35,maxy+20-trunc(xfr[cou]/xf)*maxy);
      end;
      line(30,getmaxy-20,getmaxx-10,getmaxy-20);
       line(30,getmaxy-20,30,0);
      readln;      CloseGraph;
END.
