Program pair_distribution;
uses crt;
const space_size = 187;  {must be 2^i-1  }
  nat=302;         {<302}  R=8.31;
type TAtom = record
  x,y:integer;
  vx,vy:real;{velocities}
  rx,ry:real;{floating-point coords}
  num : integer;
  end;
var
  y:array[0..30] of longint{word};
  y1:array[0..30] of word;
  y2:array[0..30] of real;
  Atoms : array[0..nat] of TAtom;
  i,i1,i2,j,color,a1,b1:integer;
  temp:integer;
  nt,ny,ny_all:longint;
  deltatau,VT2,T,kv,k,mol_m:real; nz:byte;

Procedure  Dot(x,y,c:integer);
Begin  mem[$a000: y*320  + x +642 ]:=c;{mem[$a000: y* 320  + x + 16050 ]:=c;}
end;

procedure  gistograma;
{procedyra picturing of g(r)}
var
ik,j,i:integer;
scale,max:real;
begin
for  i:=1 to  28 do
y2[i]:=(y[i]/i); {a ratio of n-measurements by 2*pi*r*dr}
y2[0]:=0;
max:=y2[0];
for  i:=1 to  28 do
if y2[i] > max  then  max:=y2[i];
scale:=160/max; {calculation of scale }
for  i:=0 to  28 do  begin
y1[i]:=round(y2[i]*scale);	{height of column}
for  ik:=1 to  nz-1 do  begin
Dot(i*nz+ik+2,184,5);
   for  j:=1 to  y1[i] do
  	Dot(i*nz+ik+2,185-j,15);	{picturing of column}
end; end;
end;

procedure  Init;
var  ready:boolean;
    angle,speed:real; j,k:byte;
begin
speed :=sqrt(3*R*T/mol_m)*2e10;{ 200e10*2;}
for  i:=0 to  nat do  Begin
   angle := random;
   atoms[i].vx :=   cos(angle*2*pi)* speed;
   atoms[i].vy :=   sin(angle*2*pi)* speed;end;
i:=0;  repeat
  	j:= trunc(i/16); k:=i-j*16;
atoms[i].x:=  k*9 +8;		{initial places of  moleculs}
atoms[i].y:=j*9 +8;
atoms[i].rx:=atoms[i].x;
atoms[i].ry:=atoms[i].y; i:=i+1 until  i=nat+1;
end;

Procedure  Dot2(x,y,c:integer); Begin	{a picture for one molecule}
Dot(x-1,y+1,c); Dot(x+1,y+1,c);
Dot (x,y+3,c);   Dot (x+3,y,c);
Dot (x+2,y-2,c); Dot (x-2,y-2,c);
Dot (x-2,y+2,c); Dot (x+2,y+2,c);
Dot (x-3,y,c);     Dot (x+3,y,c);   Dot (x,y-3,c);
end;

procedure  CalcBump(a,b:integer); {collisions of moleculs}
var  dx,dy,dz,x1,y1,x2,y2,dr,dd,
vcx,vcy,vx1,vx2,vy1,vy2,dvx1,dvx2,dvy1,
dvy2,dxd,dyd,v1n,v2n,dt:real;
bx,by,bb:byte;
Begin
bx:=atoms[b].x - atoms[a].x;
by:=atoms[b].y - atoms[a].y;
bb:= (bx*bx+by*by);  if bb>46{32} then  exit;
dx:=atoms[b].rx - atoms[a].rx;
dy:=atoms[b].ry - atoms[a].ry;
dd :=dx*dx+dy*dy;
if dd<=36 then  begin   {6pixel*6pixel=3angstrem*3angstrem}
dt:=deltatau*0.5;
  x1:=atoms[a].rx-atoms[a].vx*dt;
  x2:=atoms[b].rx-atoms[b].vx*dt;
  y1:=atoms[a].ry-atoms[a].vy*dt;
  y2:=atoms[b].ry-atoms[b].vy*dt;
  dx:=x2-x1;  dy:=y2-y1;
  dd :=sqrt(dx*dx+dy*dy);
vcx:=0.5*(atoms[a].vx+atoms[b].vx); {relative of centre mass}
vcy:=0.5*(atoms[a].vy+atoms[b].vy);
Vx1:= atoms[a].vx-vcx;	{relative of centre mass}
Vy1:= atoms[a].vy-vcy;
{Vx2:= -vx1=atoms[b].vx-vcx;   Vy2:= -vy1=atoms[b].vy-vcy;}
dxd:=dx/dd; dyd:=dy/dd; {cos of angles}
dvx1:=vx1*dxd;   dvy1:=vy1*dyd;
v1n:=dvx1+dvy1; {proection to  the line of centres}
if v1n>0 then  begin dvx2:=v1n*dxd; dvy2:=v1n*dyd;   {from centre mass}
  dvx1:=-dvx2;   dvy1:=-dvy2; end;  	{out of the  centre}
  atoms[a].vx := atoms[a].vx + 2*dvx1;
  atoms[a].vy := atoms[a].vy + 2*dvy1;
  atoms[b].vx := atoms[b].vx + 2*dvx2;
  atoms[b].vy := atoms[b].vy + 2*dvy2;
  a1:=a; b1:=b;
  atoms[a].rx:=x1;		  atoms[a].ry:=y1;
  atoms[b].rx:=x2;		  atoms[b].ry:=y2;
end;   end;

Procedure  Movement; {displacements of moleculs }
var  delta:real;       j,i:integer;   label 1;
Begin
for  i:=0 to  nat do   begin
if (i=b1) then  Goto  1;
for  j:=0 to  nat do
if (j<>i) then  calcbump(i,j);
1:      Dot2(atoms[i].x ,atoms[i].y,0);
atoms[i].rx := atoms[i].rx +  atoms[i].vx * deltatau;
atoms[i].ry := atoms[i].ry +  atoms[i].vy * deltatau;

if atoms[i].rx<2 then  Begin		{collisions with walls}
atoms[i].rx:=atoms[i].rx+0.2;    atoms[i].vx:=-atoms[i].vx;   end;
if atoms[i].ry<2 then  Begin		
atoms[i].ry:=atoms[i].ry+0.2;   atoms[i].vy:=-atoms[i].vy;    end;
if atoms[i].rx>=(space_size-1) then  Begin	
atoms[i].rx:=atoms[i].rx-0.2;    atoms[i].vx:=-atoms[i].vx;    end;
if atoms[i].ry>=(space_size-1) then  Begin	
atoms[i].ry:=atoms[i].ry-0.2; atoms[i].vy:=-atoms[i].vy;
end;
atoms[i].x := trunc(atoms[i].rx);  atoms[i].y := trunc(atoms[i].ry);
Dot2(atoms[i].x, atoms[i].y, 14);
end;
for  i:=0 to  188 do  Dot (188,i,15);	{picturing of walls}
for  i:=0 to  188 do  Dot (i,188,15);
for  i:=0 to  188 do  Dot ( -1,i,15);
for  i:=0 to  188 do  Dot (i,-1 ,15);
end;

Function ReadKey1:integer; assembler; asm
xor ax,ax; mov es,ax; mov bx,es:[$41a]; cmp bx,es:[$41c]; jz @no_key;
int $16; test al,al; jz @no_key; xor ah,ah;
@no_key: end;

BEGIN
Write('VVodit wuriny kolonok nz y mejah 8-12    ');
Read(nz);  {nz:=10;}
Write('vvodit temperatury t<400K     ');
Read(T); {T:=300;}
Write('Vvodit mol massy mol_m:0.028 abo 0.032 abo 0.040    ');
Read(mol_m); {mol_m:=0.032;}                Inline($b8/$13/0/$cd/$10);
deltatau:=1E-14;   a1:=-1;  b1:=-1;
for  i:=0 to  30 do  y[i]:=0;	
Init;
nt:=0; ny:=0;  ny_all:=0;
while  (ReadKey1<>27) do  begin
Movement;
nt:=nt+1;
if nt=1000 then   begin	
for  i1:=0 to  28 do
for  j:=round(nat/2)-3 to  round(nat/2)+3 do
for  i2:=1 to  nat do  begin
if i2=j then  continue;    ny_all:=ny_all+1;
if round(sqrt(sqr(atoms[j].rx-atoms[i2].rx)+sqr(atoms[j].ry-atoms[i2].ry)))=i1
then  begin y[i1]:=y[i1]+1; ny:=ny+1; {calculation of data for g(r)}
end; end;
gistograma;  readkey; Break;  end;
end;
Inline($b8/3/0/$cd/$10); 
writeln('ny=',ny,'   ny_all=',ny_all);
i:=1;
while i<28 do
begin
write('i=',i,' yi=', y[i]);     writeln('i=':20, i+1,' yi=', y[i+1]);
i:=i+2;
end;   readkey;
End.
