unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, TeeProcs, TeEngine, Chart, ComCtrls, CustomizeDlg,
  Series;
  const n=400;       { Size n*n }
  type Tspin = array[1..n, 1..n] of Integer;
type
  TForm1 = class(TForm)
    Button1: TButton;
    Image2: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Button2: TButton;
    Label5: TLabel;
    Edit4: TEdit;
    Label6: TLabel;
    Memo1: TMemo;
    Memo2: TMemo;
    Timer1: TTimer;
    Label7: TLabel;
    Edit1: TEdit;
    Label9: TLabel;
    Label8: TLabel;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit5: TEdit;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Edit6: TEdit;
    Chart1: TChart;
    Series1: TPointSeries;
    Chart2: TChart;
    Series2: TLineSeries;
    Panel1: TPanel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    Label14: TLabel;
    TRButton: TCheckBox;
    Edit9: TEdit;
    Label17: TLabel;
    Series3: TLineSeries;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure TRButtonClick(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
   private
    { Private declarations }
  public
    { Public declarations }
  end;
  const myu=0.9e-23;
  var
  Form1: TForm1;
  m, n1:integer;
  c: Char;
  w,en:array [1..6] of real;
  enn,en0,E0,b,ever:double;
  k,kkk:integer;
  Myk:integer;
  sm:string;
  Bind,Bind0, kT,Em,T0,T:real;


implementation
{$R *.dfm}
Procedure init (n1:integer; var sp:Tspin);
  	var x,y:integer;
   begin
    		for x:=1 to n1 do
     		for y:=1 to n1 do         {Initial directions of spins }
      		sp[x,y]:=random(2);
      w[1]:=exp(4*b);  w[2]:=exp(-4*b);
    	w[3]:=exp(2*b);  w[4]:=exp(-2*b); { The Gibbs weight of states }
    	w[5]:=0.5;       w[6]:=0.5;

    	en[1]:=-4*b;     en[2]:=4*b;
    	en[3]:=-2*b;     en[4]:=2*b;       { E/kT }
    	en[5]:=0;        en[6]:=0;
    end;

Procedure showsp (n1:integer; var sp:Tspin; z:integer);      { Picturing of spins by color pixels }
   var x,y:integer;
   begin
    for x:=1 to n1 do
     for y:=1 to n1 do
      form1.image2.Canvas.Pixels[x-1,y-1]:=sp[x,y]*255;
      form1.image2.Width :=180;
      form1.image2.Height :=180;
      form1.image2.Stretch := true;
   end;


Procedure cheng (var sp:integer; var ver:real);
   begin
     if random<ver then begin              {Change or not to change }
     if sp=1 then sp:=0
             else sp:=1; end;
   end;
Procedure chengm (n1:integer; var sp:Tspin);    {A choose of spin and calculations}
   var x,y,i:integer;     
       ver,de,e1,e2:real;
   begin  //Em:= myu*Bind/kT;
    x:=random(n1-2)+2;
    y:=random(n1-2)+2;
    i:=sp[x,y+1]+sp[x,y-1]+sp[x+1,y]+sp[x-1,y];
    if sp[x,y]=0 then begin i:=4-i;
    e1:=(4-2*i)*b+Em*T0/T; e2:=(4-2*(4-i))*b-2*Em*T0/T; end;

    if sp[x,y]=1 then begin
    e1:=(4-2*i)*b-Em*T0/T; e2:=(4-2*(4-i))*b+2*Em*T0/T;end;
    //else e1:=(4-2*i)*b-Em;
    de:=e2-e1;
    ver:=exp(-de);    ///kT
    cheng (sp[x,y],ver);
    if x=2 then sp[n1,y]:=sp[x,y] else
    if x=n1-1 then sp[1,y]:=sp[x,y];     {Boundary conditions}
    if y=2 then sp[x,n1]:=sp[x,y] else
    if y=n1-1 then sp[x,1]:=sp[x,y];
   end;

Procedure TForm1.Button1Click(Sender: TObject);
  var i,x,y,j,k,kk,NumOfCurves:integer;
      maxm:longint;
  sp:Tspin;
  jm,b0, bStep,evStep,ever0:real;                  //xx,nn
  e:real;
  Mas:array[1..2,0..5] of real;
BEGIN
  randomize;
  Series1.Clear;
  Series2.Clear;
  Memo1.Clear;
  Memo2.Clear;
  n1:=StrToInt(form1.Edit1.Text) ;
  b0:=StrToFloat(form1.Edit2.Text);
  bStep:= StrToFloat(form1.Edit3.Text);
  //evStep:=StrToFloat(form1.Edit7.Text);
  if (RadioButton1.Checked) then NumOfCurves:=StrToInt(form1.Edit5.Text);
 // else NumOfCurves:=StrToInt(form1.Edit8.Text);
  Bind0:=StrToFloat(form1.Edit6.Text);

  ever:=1;//ever0;
  maxm:=StrToInt(form1.Edit4.Text);
  form1.label4.Caption :=inttostr(n1)+'x'+inttostr (n1);
  image2.Width :=n1;
  image2.Height :=n1;
  Myk:=0;
  //form1.chrt.
  Series3.Clear;
   for k:=1 to NumOfCurves do
     begin
     end;
end;

Procedure TForm1.Button2Click(Sender: TObject);
begin
       Application.Terminate;
end;

Procedure TForm1.FormCreate(Sender: TObject);
begin

 form1.label4.Caption :='n'+'x'+'n';
  TRButton.Checked:=true;
end;

Procedure TForm1.Timer1Timer(Sender: TObject);
var a: string;
begin
a:= 'Izing love You!!!!!';
if label7.GetTextLen*11 < Label7.width then form1.label7.caption:=' ' + form1.label7.caption else form1.label7.caption := a;
Label7.Font.Color:=  RGB(random(255),0,0);
end;

procedure TForm1.TRButtonClick(Sender: TObject);
begin
if (TRButton.Checked) then
                      begin
                      Label5.Caption := 'exp(-J/kT';
                      Chart2.BottomAxis.Title.Caption:='exp(- J / kT)';//'kT/b';
                      end
                      else
                      begin
                       Label5.Caption := 'kT/J';
                       Chart2.BottomAxis.Title.Caption :='kT/J';
                      end;
end;

procedure TForm1.FormKeyPress(Sender: TObject; var Key: Char);
var i,i1,j1,x,y,j,k,kk,NumOfCurves:integer;
      maxm:longint;
  sp:Tspin;
  jm,b0, bStep,evStep,ever0:real;                  //xx,nn
  e,IkT0:real;
  Mas:array[1..2,0..5] of real;
begin

  n1:=StrToInt(form1.Edit1.Text) ;
  b0:=StrToFloat(form1.Edit2.Text);
  bStep:= StrToFloat(form1.Edit3.Text);
 // evStep:=StrToFloat(form1.Edit7.Text);
  if (RadioButton1.Checked) then NumOfCurves:=StrToInt(form1.Edit5.Text);
  {else} //NumOfCurves:=StrToInt(form1.Edit8.Text);
  Bind:=StrToFloat(form1.Edit6.Text);

  maxm:=StrToInt(form1.Edit4.Text);
  form1.label4.Caption :=inttostr(n1)+'x'+inttostr (n1);
  image2.Width :=n1;
  image2.Height :=n1;
      Myk:=Myk+1;
      //if (RadioButton1.Checked) then     //Ib=
                                //begin
      //if (TRButton.Checked) then begin
    // I=0.2*1.38e-23*600;     //b0 in window   Q=600
// k*600/I=5; k=5*I/Q;  k*T/I=b=5*T/Q; kI=b*k*0.2*Q; kT*I=0.2*k*k*T/Q;   b=kt/I
//kT=0.2*b*Q*k;  kT=sqrt(5*T/Q*b/kT*k)
         IkT0:=1; T0:=300;
     // b:=1/(b0+(Myk-1)*bStep); //this is 1/b
//kT:=600*1.38e-23*b*b0; //Bind:= Bind0*{b*b0*}(1-(Myk-1)*5*Myk);
//Em:= myu*Bind/kT; //end  else b:=b0+(Myk-1)*bStep
                               // end
                  //else  ever:=ever0+(Myk-1)*evStep;
      Bind:= Bind0-(Myk-1)*1; if Bind<1 then Bind:=1;
      Em:= Bind/100;
       T:=T0+(Myk-1)*5*Myk;
       b:=IkT0*T0/T;
  // b:=1.1-(Myk-1)*bStep*0.04*Myk;
        init (n1,sp);
        e:=0;J:=0;
           { for x:=2 to n1-1 do
            for y:=2 to n1-1 do
            begin

             i:=sp[x,y+1]+sp[x,y-1]+sp[x+1,y]+sp[x-1,y];
             if sp[x,y]=0 then i:=4-i;
             J:=J+sp[x,y];         //J0 and e0
             e:=e+(4-2*i)*b;  if  sp[x,y]=0 then e:=e+Em else e:=e-Em;
            end;  }
            m:=0;     Randomize;
            repeat
                  begin
              // J:=J-sp[x,y];
               chengm(n1,sp);
               //if sp[x,y]=1 then J:=J+1 else J:=J-1 ;
               if m mod((maxm div 300)+1)=0 then
                         begin
                         e:=0; J:=0;
                         for x:=2 to n1-1 do
                         for y:=2 to n1-1 do
                            begin

                            i:=sp[x,y+1]+sp[x,y-1]+sp[x+1,y]+sp[x-1,y];
                            if x=2 then i:=i+1;   ///???
                            if sp[x,y]=0 then i:=4-i;
                            if sp[x,y+1]=1 then J:=J+1 else J:=J-1;
                            e:=e+(4-2*i)*IkT0;
                            //if sp[x,y]=1 then e:=e-Em; //else e:=e+Em;
                            end;
                            Series1.AddXY(m,e*100/sqr(n1));
                            Series1.AddXY(m+5,e*100/sqr(n1));
                                                        {Graph E(n)}
                                       end;
                  end;
                  m:=m+1;   
                  //if m=maxm then enn:=e;
            until m>maxm;  if Myk=1 then E0:=e; //kkk:=kkk+1;
            Jm:=J/sqr(n1-2);  str(Jm,sm);
           // Mas[1,k]:=Jm; Mas[2,k]:=b;
            str (Jm:4:2,sm);
            memo1.Lines.Add(sm);   enn:=1/b;   en0:=(e0-e)/e0;
           // if (RadioButton1.Checked) then
                     //((n1-2)*(n1-2));
              if (TRButton.Checked) then
                 enn:=exp(-b);  

              Series2.AddXY(enn{1/b},en0{Jm});// else  Series2.AddXY(b,en0{Jm});
              Series3.AddXY(enn,Jm);

                    // else Series2.AddXY(ever,Jm);
            str (e/sqr(n1):4:2,sm);
            memo2.Lines.Add(sm);
            showsp (n1,sp,160);
            bind0:=bind0*StrToFloat(form1.Edit9.Text);
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
Chart2.BottomAxis.Title.Caption := 'kT/J';
//Chart2.Title.Text.Clear;
//Chart2.Title.Text.Add('H(ever)');
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
if (TRButton.Checked) then
                      begin
                      Chart2.BottomAxis.Title.Caption :='exp(-I/kT)';// /b';
                      Chart2.Title.Text.Clear;
                      Chart2.Title.Text.Add ('H(kT/b)');
                      end
                      else
                      begin
                      Chart2.BottomAxis.Title.Caption :='b/kT';
                      Chart2.Title.Text.Clear;
                      Chart2.Title.Text.Add('H(b/kT)');
                      end;
end;

End.
