unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, TeeProcs, TeEngine, Chart, ComCtrls, CustomizeDlg;

  const NAtomX=15; NAtomY=15; NAtom =NAtomY*NAtomX; x0=10; y0=10;
  scale=5; r=3;
  e=121 ; s=3.405 ;
  
   type TAtom = record
  x,y,z:real;
end;
type
  TForm1 = class(TForm)
    Button1: TButton;
    Image1: TImage;
    Image2: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Button2: TButton;
    Label5: TLabel;
    Edit4: TEdit;
    Label6: TLabel;
    Memo2: TMemo;
    Memo3: TMemo;
    Edit1: TEdit;
    Label8: TLabel;
    Label9: TLabel;
    Label7: TLabel;
    Timer1: TTimer;
    Edit2: TEdit;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);

   private
    { Private declarations }
  public
  end;
var
  Form1: TForm1;
  m10,m,n1:integer;
  c: Char;
  Atoms:array[0..NAtom] of TAtom;

  sm:string;
  Eold,ver, Enew,dx,dy,dr,T: real;
  y: array [1..28] of integer;
  gr: array [0..28] of real;
   ny,ny_all:integer;    Nat:real;
implementation
{$R *.dfm}

Procedure init ();
  	var i:integer;
  //initial coordinates of atoms
   begin
     T:=StrToFloat(form1.Edit2.Text);

      //Memo1.Lines.Add(sm);
     // Memo1Lines.Add(FloatToStrF(e,ffGeneral,5,2));
   for i:=0 to Natom-1 do
   begin
     Atoms[i].x:=x0 +(i mod (NAtomX))*s;
     Atoms[i].y:=Y0 +(i div (NAtomY))*s;
   end;
   end;

Procedure  CalcEnergy1(i:integer);
   var j:integer;
   dr:real;
begin

            Eold:=0;
        for j:=0 to NAtom-1 do
                     if j<>i then
          begin
             dr:=sqrt((atoms[i].x-atoms[j].x)*(atoms[i].x-atoms[j].x)
             +(atoms[i].y-atoms[j].y)*(atoms[i].y-atoms[j].y));
                 Eold:=Eold+e*((exp(12*ln(s/dr))-exp(6*ln(s/dr))));
          end;
end  ;

Procedure CalcEnergy2(i:integer);
  var j:integer;
 // dr:real;
begin

         enew:=0;
     for j:=0 to natom-1 do
     if j<>i then
    begin
             dr:=sqrt((atoms[i].x+dx-atoms[j].x)*(atoms[i].x+dx-atoms[j].x)
             +(atoms[i].y+dy-atoms[j].y)*(atoms[i].y+dy-atoms[j].y));
               Enew:= Enew+e*(exp(12*ln(s/dr))-exp(6*ln(s/dr)));
  end;

end  ;
Procedure Movement();
var i:integer;


begin
  i:=random(NAtom);
  CalcEnergy1(i);
  dx:=(random(101)-50)/50*random*0.1;
  dy:=(random(101)-50)/50*random*0.1;

  CalcEnergy2(i);
  if (Enew<Eold) then
  begin
    atoms[i].x:= atoms[i].x+dx;
    atoms[i].y:= atoms[i].y+dy ;
  end
  else begin
   ver:=exp((Eold-Enew)/T);
   if (random<ver) then begin
    atoms[i].x:= atoms[i].x+dx;
    atoms[i].y:= atoms[i].y+dy ;
    end;
  end;
end ;

Procedure showsp (color : integer);      { picturing of atoms }
   var x,y,i:integer;
   rect: TRect;
   begin
    with  form1.image2.Canvas do
       rect.Left:=0;
       rect.Top:=0;
       rect.Bottom:=400;
       rect.Right:=400;
       form1.image2.Canvas.Brush.Color:=RGB(255,255,255) ;
       form1.image2.Canvas.FillRect(rect);
     //SetPixel(3,3,3,clred);
     form1.image2.Canvas.Brush.Color:=RGB(55,55,55);

       for i:=0 to Natom-1 do
      form1.image2.Canvas.RoundRect(round(atoms[i].x*scale)-3,
      round(atoms[i].y*scale)-3, round(atoms[i].x*scale)+3,
      round(atoms[i].y*scale)+3, 3, 3);//:=color);

   end;
   //--------------------
   procedure AxesDraw;
  var y,i,n,k:integer;
      ot,os:real;
  rect: TRect;
  begin
    with  form1.image1.Canvas do
      begin
       rect.Left:=0;
       rect.Top:=0;
       rect.Bottom:=400;
       rect.Right:=400;
       form1.image1.Canvas.Brush.Color:=RGB(255,255,255) ;
       form1.image1.Canvas.FillRect(rect);
        Pen.Color:=clblue;
        MoveTo(20,200); LineTo(20,30);
        MoveTo(20,200); LineTo(270,200);//(Width-10,Height-15);
        {x:=20; y:=80; }
                                           // ot:=(Width-30)/5; n:=5;
        for i:=0 to 3 do
        begin
           {(i/2)=(i div 2)} begin Font.Height:=8;
          TextOut(20+i*80,204,floattostr(i*5));
          MoveTo(20+i*80,200);
          LineTo(20+i*80,200-4);
        end;
         TextOut(20+3*80+20,195,'r,A"'); end;
        //os:=(Height-30)/5;k:=5;
        for i:=1 to 8  do
        begin
          {if(i/2)=(i div 2) then}begin Font.Height:=8;
          TextOut(2,200-20*i-10,floattostr(0.5*i));end;
          MoveTo(20,200-i*20);
          LineTo(24,200-i*20);
        end;
         TextOut(15,10,'g(r)');
      end;
    end;  

 Procedure gistogramm;      {g(r)-the radial pair distribution function }
   var i1,i,j,iy:integer;
   scal,max:real;
   //rect: TRect;
   begin
   for i1:=1 to 28 do
    for i:=0 to NAtom do
    for j:=0 to NAtom do
   if j<>i then
   begin
   dr:=sqrt((atoms[i].x+dx-atoms[j].x)*(atoms[i].x+dx-atoms[j].x)
   +(atoms[i].y-atoms[j].y)*(atoms[i].y-atoms[j].y));
      ny_all:=ny_all+1;
if round(dr*2)=i1
then  begin y[i1]:=y[i1]+1; ny:=ny+1;  end;  end;
        for i1:=1 to 28 do   //ny-number of measurements on the full circle 14 //
   gr[i1]:=(y[i1]/ny)*28*28/(2*i1); // R=28*0.5, r=i1*0.5, dr=0.5//
      gr[0]:=0; max:=0;
   scal:=160/4;
   with  form1.image1.Canvas do begin
   Pen.Color:=clred;
     MoveTo(20,200);
     for i1:=1 to 28 do
     LineTo(20+i1*8,200-round(gr[i1]*scal));  end;
   end;
                                                       //
Procedure outrexy (i:real; x,y:integer);
   var s:string;
   begin

   end;


Procedure TForm1.Button1Click(Sender: TObject);
  begin
  Form1.Timer1.Enabled := not Form1.Timer1.Enabled;
end;


Procedure TForm1.Button2Click(Sender: TObject);
begin
       Application.Terminate;
end;

Procedure TForm1.FormCreate(Sender: TObject);

begin
 form1.label4.Caption :='Natom';//'n'+'x'+'n';
 init(); showsp(0);
      
  Memo1.Lines.Add(FloatToStrF(Natom,ffGeneral,5,2));
  Memo2.Lines.Add(FloatToStrF(e,ffGeneral,5,2));
  Memo3.Lines.Add(FloatToStrF(s,ffGeneral,5,2));
end;


procedure TForm1.Timer1Timer(Sender: TObject);

 var
i,j,color:integer;
//-----------------------------------------
BEGIN

    randomize;
   showsp(0);
   for i:=0 to 30000 do
   begin
   T:=StrToFloat(form1.Edit2.Text);
   movement();
   end;
   AxesDraw;
   gistogramm;
   showsp(0);
end;

End.



